## gcr-list-selector gcr-list-selector |

## Synopsis

    struct              GcrListSelector;
    struct              GcrListSelectorClass;
    GcrListSelector *   gcr_list_selector_new               (GcrCollection *collection);
    GcrCollection *     gcr_list_selector_get_collection    (GcrListSelector *self);
    GList *             gcr_list_selector_get_selected      (GcrListSelector *self);
    void                gcr_list_selector_set_selected      (GcrListSelector *self,
                                                             GList *selected);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkTreeView
                               +----GcrListSelector

## Implemented Interfaces

GcrListSelector implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Properties

      "collection"               GcrCollection*        : Read / Write / Construct Only

## Description

## Details

### struct GcrListSelector

    struct GcrListSelector;

### struct GcrListSelectorClass

    struct GcrListSelectorClass {
    };

### gcr_list_selector_new ()

    GcrListSelector *   gcr_list_selector_new               (GcrCollection *collection);

### gcr_list_selector_get_collection ()

    GcrCollection *     gcr_list_selector_get_collection    (GcrListSelector *self);

### gcr_list_selector_get_selected ()

    GList *             gcr_list_selector_get_selected      (GcrListSelector *self);

### gcr_list_selector_set_selected ()

    void                gcr_list_selector_set_selected      (GcrListSelector *self,
                                                             GList *selected);

## Property Details

### The `"collection"` property

      "collection"               GcrCollection*        : Read / Write / Construct Only

Collection to select from.